# Add a page version

Creates a new version of a page.

Endpoint: POST /api/v1/pages/{pageId}/version
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    Input data containing properties of the page for which to create a new version.

## Request fields (application/json):

  - `language` (string)
    The language of the new page version.
Example value: en-US
    Example: en-US

  - `site` (string)
    The site name.
Example value: my-site
    Example: my-site

  - `baseVersion` (integer)
    The base version number to create the new version from.
Example value: 1
    Example: 1

  - `versionName` (string)
    The name of the new version.
Example value: Black Friday content update
    Example: Black Friday content update

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

